<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServiceModify StructType
 * @subpackage Structs
 */
class ServiceModify extends AbstractStructBase
{
    /**
     * The ServiceModifyRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServiceModify
     */
    public $ServiceModifyRQ;
    /**
     * Constructor method for ServiceModify
     * @uses ServiceModify::setServiceModifyRQ()
     * @param \StructType\JP_ServiceModify $serviceModifyRQ
     */
    public function __construct(\StructType\JP_ServiceModify $serviceModifyRQ = null)
    {
        $this
            ->setServiceModifyRQ($serviceModifyRQ);
    }
    /**
     * Get ServiceModifyRQ value
     * @return \StructType\JP_ServiceModify|null
     */
    public function getServiceModifyRQ()
    {
        return $this->ServiceModifyRQ;
    }
    /**
     * Set ServiceModifyRQ value
     * @param \StructType\JP_ServiceModify $serviceModifyRQ
     * @return \StructType\ServiceModify
     */
    public function setServiceModifyRQ(\StructType\JP_ServiceModify $serviceModifyRQ = null)
    {
        $this->ServiceModifyRQ = $serviceModifyRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ServiceModify
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
